Skip to Content
veriom

Create review link

POST
/v1/workspaces/{workspace_id}/reports/{report_id}/review-links

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
report_id*Report Id
Formatuuid

Request Body

application/json
  1. body
allow_comments?Allow Comments
Defaultfalse
expected_preview_sha256*Expected Preview Sha256
Match^[a-f0-9]{64}$
expires_at*Expires At
Formatdate-time
max_accesses?Max Accesses
Range1 <= value <= 10000
Default100
selection*

Response Body

Successful Response

application/json
  1. response
link*
token*Token
Example Request
curl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/reports/497f6eca-6276-4993-bfeb-53cbbbba6f08/review-links' \  -H 'Content-Type: application/json' \  -d '{  "expected_preview_sha256": "string",  "expires_at": "2019-08-24T14:15:22Z",  "selection": {    "sections": [      "executive_summary"    ],    "title": "string"  }}'
Example Response
{  "link": {    "access_count": 0,    "allow_comments": true,    "content_sha256": "string",    "created_at": "2019-08-24T14:15:22Z",    "expires_at": "2019-08-24T14:15:22Z",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "max_accesses": 0,    "report_id": "5ed7905a-4735-4cf7-b1ab-521e066fb971",    "revoked_at": "2019-08-24T14:15:22Z",    "title": "string"  },  "token": "string"}